Name: 		xfce4-modemlights-plugin
Version: 	0.1.1
Release: 	4%{?dist}
Summary: 	Modemlights for the XFCE panel

Group: 		User Interface/Desktops
License:	GPL
URL: 		http://xfce-goodies.berlios.de/
Source0: 	http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.2, libxfcegui4-devel >= 4.2, libxml2-devel
Requires:	xfce4-panel >= 4.2

%description
A Xfce4 panel applet intended to simplify establishing a ppp connection via 
a modem.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel-plugins/*.so
%{_datadir}/xfce4/*

%changelog
* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-4
- Require xfce4-panel.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-3
- Add libxfcegui4-devel BuildReqs.
- Fix %defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-2
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-1.fc4.cw
- Initial Fedora Extras version.
- Update to 0.1.1
- Add libxml2 BuildReqs.

* Sat Jul 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1.fc4.cw
- Initial RPM release.
